メインコンテンツへスキップ
GET /api/v1/forward/channels/{channel_id} Channel の紐づけ情報とステータスの詳細を返します。

Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT>

Path parameters

ParameterTypeRequiredDescription
channel_idstringYesチャネル ID。Channel オブジェクトの id と同じ値です。

Example request

curl -s -X GET 'https://api.qoder.com/api/v1/forward/channels/channel_019eabc123' \
  -H "Authorization: Bearer $QODER_PAT"

Example response

HTTP 200 OK
{
  "id": "channel_019eabc123",
  "type": "channel",
  "identity_id": "idn_019eabc123",
  "template_id": "tmpl_support",
  "channel_type": "feishu",
  "name": "Support Feishu channel",
  "enabled": true,
  "binding_status": "bound",
  "channel_config": {
    "response_options": {
      "include_tool_calls": false,
      "include_thinking": false
    }
  },
  "created_at": "2026-06-18T10:00:00Z",
  "updated_at": "2026-06-18T10:00:00Z"
}

Response fields

Channel オブジェクトを返します。

Errors

HTTPTypeCodeTrigger
401authentication_errorauthentication_requiredPAT が無効または期限切れです。
404not_found_errorchannel_not_foundChannel が存在しないか、呼び出し元から参照できません。

Notes

  • binding_status はシステムによって維持され、Update Channel で直接変更することはできません。
  • チャネルが受信メッセージを処理できるのは、enabled=true かつ binding_status="bound" の場合のみです。

チャネルの更新

チャネル QR セッションの作成